# Uses of Interface
org.bukkit.inventory.CraftingInventory

Packages that use CraftingInventory
Package
Description
org.bukkit.event.inventory
`Events` relating to `inventory` manipulation.

## Uses of CraftingInventory in org.bukkit.event.inventory

Methods in org.bukkit.event.inventory that return CraftingInventory
Modifier and Type
Method
Description
`@NotNull CraftingInventory`
CraftItemEvent.`getInventory()`
`@NotNull CraftingInventory`
PrepareItemCraftEvent.`getInventory()`
Constructors in org.bukkit.event.inventory with parameters of type CraftingInventory
Modifier
Constructor
Description
``
`PrepareItemCraftEvent(@NotNull CraftingInventory what, @NotNull InventoryView view, boolean isRepair)`